.share-page {
  display: flex;
  flex-wrap: wrap;
  gap: 16px;
  align-items: center;
}
.share-page hr {
  width: 100%;
}
.share-page .text {
  line-height: 1.5rem;
}
.share-page .share-buttons {
  display: flex;
  flex-wrap: wrap;
  gap: 16px;
}
.share-page .share-button {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 48px;
  height: 48px;
  border-radius: 50%;
  background-color: transparent;
  color: #1c1c1c;
  border: 2px solid #949494;
  text-decoration: none;
  transition: all 0.3s ease;
}
.share-page .share-button:hover {
  color: #1c1c1c;
  border-color: #E94B57;
}